/*******************
VARIABLES
*******************/
var clickthroughBtn, isMobile;
/*******************
INITIALIZATION
*******************/
function checkIfAdKitReady(event) {
    adkit.onReady(initializeCreative);
}

function initializeCreative() {
    initializeGlobalVariables();
    addEventListeners();
}

function initializeGlobalVariables() {
    //getInfo will return info if is the ad is in Local or if is a mobile device or if the autoplay is supported
    var infoDevice = immersiveTakeover.getInfo();
    isMobile = infoDevice.isMobile;
    clickthroughBtn = document.getElementById("transparent-clickthrough");
}

function addEventListeners() {
    clickthroughBtn.addEventListener("click", onClickthrough);
}
/*******************
EVENT HANDLERS
*******************/
function onClickthrough(e) {
    //in mobile devices is disabled to avoid clickthroughs when the header panel is clicked
    if(!isMobile){
        EB.clickthrough("click_background");
    }
}
/*******************
CALLBACK FUNCTIONS
*******************/
function afterShowPanelContent() {
    //Implement code logic to fire when the panel is shown
}
/*******************
END OF CREATIVE FUNCTIONS
*******************/
//config = {    panel: define the type of the element for the immersiveTakeover, //options: header, left_gutter, right_gutter, background, videoskin, controls or standard
//};
var config = {
    panel: "background"
};
var immersiveTakeover = new immersiveTakeover(config);
window.addEventListener("load", checkIfAdKitReady);