/*******************
VARIABLES
*******************/
var clickthroughBtn;
/*******************
INITIALIZATION
*******************/
function checkIfAdKitReady(event) {
    adkit.onReady(initializeCreative);
}

function initializeCreative() {
    initializeGlobalVariables();
    addEventListeners();
}

function initializeGlobalVariables() {
    clickthroughBtn = document.getElementById("click_CTA");
}

function addEventListeners() {
    clickthroughBtn.addEventListener("click", onClickthrough);
    window.addEventListener("resize", onWindowResize);
    resizeFont();
}
/*******************
EVENT HANDLERS
*******************/
function onClickthrough() {
    EB.clickthrough("click_right_gutter");
}

function onWindowResize() {
    resizeFont();
}
/*******************
CALLBACK FUNCTIONS
*******************/
function afterShowPanelContent() {
    //Implement code logic to fire when the panel is shown
    resizeFont();
}
/*******************
CREATIVE FUNCTIONS
*******************/
function resizeFont() {
    //fontResize(elemRef, minFontSize) is an utility to resize the fontSize depending on the width of the panel
    immersiveTakeover.fontResize(clickthroughBtn, 1);
}
/*******************
END OF CREATIVE FUNCTIONS
*******************/
//config = {    panel: define the type of the element for the immersiveTakeover, //options: header, left_gutter, right_gutter, background, videoskin, controls or standard
//};
var config = {
    panel: "right_gutter"
};
var immersiveTakeover = new immersiveTakeover(config);
window.addEventListener("load", checkIfAdKitReady);